Error while installing conda install wget on MacOS M2

I tried to install wget as per qiime2 Natively installing QIIME 2 — QIIME 2 2024.5.0 documentation.
I am getting error and unable to install wget and failed later commands after wget.

(base) bhagwanrekadwad@MicrobeAI ~ % conda install wget
KeyError('active_prefix_name')
Traceback (most recent call last):
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 18, in call
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main.py", line 52, in main_subshell
from .conda_argparse import do_call, generate_parser, generate_pre_parser
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/conda_argparse.py", line 51, in
from .main_create import configure_parser as configure_parser_create
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_create.py", line 16, in
from ..notices import notices
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/init.py", line 3, in
from .core import notices # noqa: F401
^^^^^^^^^^^^^^^^^^^^^^^^^
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/core.py", line 15, in
from . import cache, fetch, views
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/fetch.py", line 11, in
import requests
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/init.py", line 164, in
from .api import delete, get, head, options, patch, post, put, request
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/api.py", line 11, in
from . import sessions
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/sessions.py", line 15, in
from .adapters import HTTPAdapter
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/adapters.py", line 76, in
preloaded_ssl_context = create_urllib3_context()
^^^^^^^^^^^^^^^^^^^^^^^^
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/urllib3/util/ssl
.py", line 252, in create_urllib3_context
raise TypeError("Can't create an SSLContext object without an ssl module")
TypeError: Can't create an SSLContext object without an ssl module

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 165, in print_unexpected_error_report
get_main_info_str(error_report["conda_info"])
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_info.py", line 399, in get_main_info_str
return "\n".join(("", *(f"{key:>23} : {value}" for key, value in builder()), ""))
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_info.py", line 399, in
return "\n".join(("", *(f"{key:>23} : {value}" for key, value in builder()), ""))
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_info.py", line 359, in builder
if info_dict["active_prefix_name"]:
~~~~~~~~~^^^^^^^^^^^^^^^^^^^^^^
KeyError: 'active_prefix_name'

>>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

Traceback (most recent call last):
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 18, in __call__
    return func(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main.py", line 52, in main_subshell
    from .conda_argparse import do_call, generate_parser, generate_pre_parser
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/conda_argparse.py", line 51, in <module>
    from .main_create import configure_parser as configure_parser_create
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_create.py", line 16, in <module>
    from ..notices import notices
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/__init__.py", line 3, in <module>
    from .core import notices  # noqa: F401
    ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/core.py", line 15, in <module>
    from . import cache, fetch, views
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/fetch.py", line 11, in <module>
    import requests
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/__init__.py", line 164, in <module>
    from .api import delete, get, head, options, patch, post, put, request
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/api.py", line 11, in <module>
    from . import sessions
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/sessions.py", line 15, in <module>
    from .adapters import HTTPAdapter
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/adapters.py", line 76, in <module>
    _preloaded_ssl_context = create_urllib3_context()
                             ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/urllib3/util/ssl_.py", line 252, in create_urllib3_context
    raise TypeError("Can't create an SSLContext object without an ssl module")
TypeError: Can't create an SSLContext object without an ssl module

$ /Users/bhagwanrekadwad/miniconda3/bin/conda install wget

environment variables:
conda info could not be constructed.
KeyError('active_prefix_name')

An unexpected error has occurred. Conda has prepared the above report.
If you suspect this error is being caused by a malfunctioning plugin,
consider using the --no-plugins option to turn off plugins.

Example: conda --no-plugins install

Alternatively, you can set the CONDA_NO_PLUGINS environment variable on
the command line to run the command without plugins enabled.

Example: CONDA_NO_PLUGINS=true conda install

If submitted, this report will be used by core maintainers to improve
future releases of conda.
Would you like conda to send this report to the core maintainers? [y/N]:

Hello @Bhagwan, can you please run conda info and paste the output here?

Hi @Oddant1

Here is a detail:
Last login: Tue Jun 18 08:36:22 on console
-zsh
(base) bhagwanrekadwad@MicrobeAI ~ % -zsh
zsh: command not found: -zsh
(base) bhagwanrekadwad@MicrobeAI ~ % conda info

>>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

Traceback (most recent call last):
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 18, in __call__
    return func(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main.py", line 52, in main_subshell
    from .conda_argparse import do_call, generate_parser, generate_pre_parser
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/conda_argparse.py", line 51, in <module>
    from .main_create import configure_parser as configure_parser_create
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_create.py", line 16, in <module>
    from ..notices import notices
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/__init__.py", line 3, in <module>
    from .core import notices  # noqa: F401
    ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/core.py", line 15, in <module>
    from . import cache, fetch, views
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/fetch.py", line 11, in <module>
    import requests
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/__init__.py", line 164, in <module>
    from .api import delete, get, head, options, patch, post, put, request
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/api.py", line 11, in <module>
    from . import sessions
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/sessions.py", line 15, in <module>
    from .adapters import HTTPAdapter
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/adapters.py", line 76, in <module>
    _preloaded_ssl_context = create_urllib3_context()
                             ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/urllib3/util/ssl_.py", line 252, in create_urllib3_context
    raise TypeError("Can't create an SSLContext object without an ssl module")
TypeError: Can't create an SSLContext object without an ssl module

$ /Users/bhagwanrekadwad/miniconda3/bin/conda info

An unexpected error has occurred. Conda has prepared the above report.
If you suspect this error is being caused by a malfunctioning plugin,
consider using the --no-plugins option to turn off plugins.

Example: conda --no-plugins install

Alternatively, you can set the CONDA_NO_PLUGINS environment variable on
the command line to run the command without plugins enabled.

Example: CONDA_NO_PLUGINS=true conda install

If submitted, this report will be used by core maintainers to improve
future releases of conda.
Would you like conda to send this report to the core maintainers? [y/N]:

@Bhagwan there appears to be something very wrong with your conda install. What specific version of conda did you install? And have you tried uninstalling and reinstalling it?

1 Like

@Oddant1 I have installed conda using following command from Miniconda — Anaconda documentation

mkdir -p ~/miniconda3
curl https://repo.anaconda.com/miniconda/Miniconda3-latest-MacOSX-arm64.sh -o ~/miniconda3/miniconda.sh
bash ~/miniconda3/miniconda.sh -b -u -p ~/miniconda3
rm -rf ~/miniconda3/miniconda.sh

Also, I retried after uninstalling miniconda envs and output gave same error of wget.

Last login: Wed Jun 19 22:07:08 on ttys000
-zsh
(base) bhagwanrekadwad@MicrobeAI ~ % -zsh
zsh: command not found: -zsh
(base) bhagwanrekadwad@MicrobeAI ~ % conda update conda
Collecting package metadata (current_repodata.json): done
Solving environment: done

Package Plan

environment location: /Users/bhagwanrekadwad/miniconda3

added / updated specs:
- conda

The following packages will be downloaded:

package                    |            build
---------------------------|-----------------
boltons-23.0.0             |  py312hecd8cb5_0         469 KB
brotli-python-1.0.9        |  py312hcec6c5f_8         384 KB
bzip2-1.0.8                |       h6c40b1e_6         151 KB
ca-certificates-2024.3.11  |       hecd8cb5_0         128 KB
certifi-2024.6.2           |  py312hecd8cb5_0         162 KB
cffi-1.16.0                |  py312h6c40b1e_1         294 KB
conda-24.5.0               |  py312hecd8cb5_0         1.2 MB
conda-package-handling-2.3.0|  py312hecd8cb5_0         281 KB
conda-package-streaming-0.10.0|  py312hecd8cb5_0          34 KB
cryptography-42.0.5        |  py312h30e54ef_1         1.3 MB
distro-1.9.0               |  py312hecd8cb5_0          37 KB
expat-2.6.2                |       hcec6c5f_0         150 KB
fmt-9.1.0                  |       ha357a0b_1         187 KB
frozendict-2.4.2           |  py312hecd8cb5_0          38 KB
icu-73.1                   |       hcec6c5f_0        25.1 MB
idna-3.7                   |  py312hecd8cb5_0         133 KB
jsonpatch-1.33             |  py312hecd8cb5_1          37 KB
libarchive-3.6.2           |       h29ab7a1_3         779 KB
libcurl-8.7.1              |       hf20ceda_0         381 KB
libcxx-14.0.6              |       h9765a3e_0         968 KB
libev-4.33                 |       h9ed2024_1         106 KB
libffi-3.4.4               |       hecd8cb5_1         129 KB
libiconv-1.16              |       h6c40b1e_3         720 KB
libmamba-1.5.8             |       h258a794_2         1.4 MB
libmambapy-1.5.8           |  py312h8c3233a_2         294 KB
libnghttp2-1.57.0          |       h9beae6a_0         668 KB
libsolv-0.7.24             |       hfff2838_1         442 KB
libssh2-1.11.0             |       hf20ceda_0         270 KB
libxml2-2.10.4             |       h45904e2_2         666 KB
lz4-c-1.9.4                |       hcec6c5f_1         167 KB
ncurses-6.4                |       hcec6c5f_0        1018 KB
openssl-3.0.14             |       h46256e1_0         4.4 MB
packaging-23.2             |  py312hecd8cb5_0         171 KB
pcre2-10.42                |       h9b97e30_1         1.3 MB
platformdirs-3.10.0        |  py312hecd8cb5_0          37 KB
pluggy-1.0.0               |  py312hecd8cb5_1          32 KB
pycosat-0.6.6              |  py312h6c40b1e_1          92 KB
pysocks-1.7.1              |  py312hecd8cb5_0          34 KB
readline-8.2               |       hca72f7f_0         328 KB
reproc-14.2.4              |       hcec6c5f_2          28 KB
reproc-cpp-14.2.4          |       hcec6c5f_2          20 KB
requests-2.32.2            |  py312hecd8cb5_0         127 KB
ruamel.yaml-0.17.21        |  py312h6c40b1e_0         242 KB
sqlite-3.45.3              |       h6c40b1e_0         1.2 MB
tqdm-4.66.4                |  py312h8e4b320_0         158 KB
truststore-0.8.0           |  py312hecd8cb5_0          43 KB
urllib3-2.2.1              |  py312hecd8cb5_0         225 KB
xz-5.4.6                   |       h6c40b1e_1         371 KB
yaml-cpp-0.8.0             |       hcec6c5f_1         487 KB
zlib-1.2.13                |       h4b97444_1         102 KB
zstandard-0.22.0           |  py312h2d76c9a_0         453 KB
zstd-1.5.5                 |       hc035e20_2         599 KB
------------------------------------------------------------
                                       Total:        48.3 MB

The following NEW packages will be INSTALLED:

frozendict pkgs/main/osx-64::frozendict-2.4.2-py312hecd8cb5_0

The following packages will be UPDATED:

certifi pkgs/main/osx-arm64::certifi-2024.2.2~ --> pkgs/main/osx-64::certifi-2024.6.2-py312hecd8cb5_0
conda pkgs/main/osx-arm64::conda-24.4.0-py3~ --> pkgs/main/osx-64::conda-24.5.0-py312hecd8cb5_0
conda-package-han~ pkgs/main/osx-arm64::conda-package-ha~ --> pkgs/main/osx-64::conda-package-handling-2.3.0-py312hecd8cb5_0
conda-package-str~ pkgs/main/osx-arm64::conda-package-st~ --> pkgs/main/osx-64::conda-package-streaming-0.10.0-py312hecd8cb5_0
openssl pkgs/main/osx-arm64::openssl-3.0.13-h~ --> pkgs/main/osx-64::openssl-3.0.14-h46256e1_0
requests pkgs/main/osx-arm64::requests-2.31.0-~ --> pkgs/main/osx-64::requests-2.32.2-py312hecd8cb5_0
tqdm pkgs/main/osx-arm64::tqdm-4.66.2-py31~ --> pkgs/main/osx-64::tqdm-4.66.4-py312h8e4b320_0
urllib3 pkgs/main/osx-arm64::urllib3-2.1.0-py~ --> pkgs/main/osx-64::urllib3-2.2.1-py312hecd8cb5_0

The following packages will be SUPERSEDED by a higher-priority channel:

boltons pkgs/main/osx-arm64::boltons-23.0.0-p~ --> pkgs/main/osx-64::boltons-23.0.0-py312hecd8cb5_0
brotli-python pkgs/main/osx-arm64::brotli-python-1.~ --> pkgs/main/osx-64::brotli-python-1.0.9-py312hcec6c5f_8
bzip2 pkgs/main/osx-arm64::bzip2-1.0.8-h809~ --> pkgs/main/osx-64::bzip2-1.0.8-h6c40b1e_6
ca-certificates pkgs/main/osx-arm64::ca-certificates-~ --> pkgs/main/osx-64::ca-certificates-2024.3.11-hecd8cb5_0
cffi pkgs/main/osx-arm64::cffi-1.16.0-py31~ --> pkgs/main/osx-64::cffi-1.16.0-py312h6c40b1e_1
cryptography pkgs/main/osx-arm64::cryptography-42.~ --> pkgs/main/osx-64::cryptography-42.0.5-py312h30e54ef_1
distro pkgs/main/osx-arm64::distro-1.9.0-py3~ --> pkgs/main/osx-64::distro-1.9.0-py312hecd8cb5_0
expat pkgs/main/osx-arm64::expat-2.6.2-h313~ --> pkgs/main/osx-64::expat-2.6.2-hcec6c5f_0
fmt pkgs/main/osx-arm64::fmt-9.1.0-h48ca7~ --> pkgs/main/osx-64::fmt-9.1.0-ha357a0b_1
icu pkgs/main/osx-arm64::icu-73.1-h313beb~ --> pkgs/main/osx-64::icu-73.1-hcec6c5f_0
idna pkgs/main/osx-arm64::idna-3.7-py312hc~ --> pkgs/main/osx-64::idna-3.7-py312hecd8cb5_0
jsonpatch pkgs/main/osx-arm64::jsonpatch-1.33-p~ --> pkgs/main/osx-64::jsonpatch-1.33-py312hecd8cb5_1
libarchive pkgs/main/osx-arm64::libarchive-3.6.2~ --> pkgs/main/osx-64::libarchive-3.6.2-h29ab7a1_3
libcurl pkgs/main/osx-arm64::libcurl-8.7.1-h3~ --> pkgs/main/osx-64::libcurl-8.7.1-hf20ceda_0
libcxx pkgs/main/osx-arm64::libcxx-14.0.6-h8~ --> pkgs/main/osx-64::libcxx-14.0.6-h9765a3e_0
libev pkgs/main/osx-arm64::libev-4.33-h1a28~ --> pkgs/main/osx-64::libev-4.33-h9ed2024_1
libffi pkgs/main/osx-arm64::libffi-3.4.4-hca~ --> pkgs/main/osx-64::libffi-3.4.4-hecd8cb5_1
libiconv pkgs/main/osx-arm64::libiconv-1.16-h8~ --> pkgs/main/osx-64::libiconv-1.16-h6c40b1e_3
libmamba pkgs/main/osx-arm64::libmamba-1.5.8-h~ --> pkgs/main/osx-64::libmamba-1.5.8-h258a794_2
libmambapy pkgs/main/osx-arm64::libmambapy-1.5.8~ --> pkgs/main/osx-64::libmambapy-1.5.8-py312h8c3233a_2
libnghttp2 pkgs/main/osx-arm64::libnghttp2-1.57.~ --> pkgs/main/osx-64::libnghttp2-1.57.0-h9beae6a_0
libsolv pkgs/main/osx-arm64::libsolv-0.7.24-h~ --> pkgs/main/osx-64::libsolv-0.7.24-hfff2838_1
libssh2 pkgs/main/osx-arm64::libssh2-1.11.0-h~ --> pkgs/main/osx-64::libssh2-1.11.0-hf20ceda_0
libxml2 pkgs/main/osx-arm64::libxml2-2.10.4-h~ --> pkgs/main/osx-64::libxml2-2.10.4-h45904e2_2
lz4-c pkgs/main/osx-arm64::lz4-c-1.9.4-h313~ --> pkgs/main/osx-64::lz4-c-1.9.4-hcec6c5f_1
ncurses pkgs/main/osx-arm64::ncurses-6.4-h313~ --> pkgs/main/osx-64::ncurses-6.4-hcec6c5f_0
packaging pkgs/main/osx-arm64::packaging-23.2-p~ --> pkgs/main/osx-64::packaging-23.2-py312hecd8cb5_0
pcre2 pkgs/main/osx-arm64::pcre2-10.42-hb06~ --> pkgs/main/osx-64::pcre2-10.42-h9b97e30_1
platformdirs pkgs/main/osx-arm64::platformdirs-3.1~ --> pkgs/main/osx-64::platformdirs-3.10.0-py312hecd8cb5_0
pluggy pkgs/main/osx-arm64::pluggy-1.0.0-py3~ --> pkgs/main/osx-64::pluggy-1.0.0-py312hecd8cb5_1
pycosat pkgs/main/osx-arm64::pycosat-0.6.6-py~ --> pkgs/main/osx-64::pycosat-0.6.6-py312h6c40b1e_1
pysocks pkgs/main/osx-arm64::pysocks-1.7.1-py~ --> pkgs/main/osx-64::pysocks-1.7.1-py312hecd8cb5_0
readline pkgs/main/osx-arm64::readline-8.2-h1a~ --> pkgs/main/osx-64::readline-8.2-hca72f7f_0
reproc pkgs/main/osx-arm64::reproc-14.2.4-h3~ --> pkgs/main/osx-64::reproc-14.2.4-hcec6c5f_2
reproc-cpp pkgs/main/osx-arm64::reproc-cpp-14.2.~ --> pkgs/main/osx-64::reproc-cpp-14.2.4-hcec6c5f_2
ruamel.yaml pkgs/main/osx-arm64::ruamel.yaml-0.17~ --> pkgs/main/osx-64::ruamel.yaml-0.17.21-py312h6c40b1e_0
sqlite pkgs/main/osx-arm64::sqlite-3.45.3-h8~ --> pkgs/main/osx-64::sqlite-3.45.3-h6c40b1e_0
truststore pkgs/main/osx-arm64::truststore-0.8.0~ --> pkgs/main/osx-64::truststore-0.8.0-py312hecd8cb5_0
xz pkgs/main/osx-arm64::xz-5.4.6-h80987f~ --> pkgs/main/osx-64::xz-5.4.6-h6c40b1e_1
yaml-cpp pkgs/main/osx-arm64::yaml-cpp-0.8.0-h~ --> pkgs/main/osx-64::yaml-cpp-0.8.0-hcec6c5f_1
zlib pkgs/main/osx-arm64::zlib-1.2.13-h18a~ --> pkgs/main/osx-64::zlib-1.2.13-h4b97444_1
zstandard pkgs/main/osx-arm64::zstandard-0.22.0~ --> pkgs/main/osx-64::zstandard-0.22.0-py312h2d76c9a_0
zstd pkgs/main/osx-arm64::zstd-1.5.5-hd90d~ --> pkgs/main/osx-64::zstd-1.5.5-hc035e20_2

Proceed ([y]/n)? y

Downloading and Extracting Packages:

Preparing transaction: done
Verifying transaction: done
Executing transaction: done
(base) bhagwanrekadwad@MicrobeAI ~ % conda install wget
KeyError('active_prefix_name')
Traceback (most recent call last):
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 18, in call
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main.py", line 52, in main_subshell
from .conda_argparse import do_call, generate_parser, generate_pre_parser
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/conda_argparse.py", line 51, in
from .main_create import configure_parser as configure_parser_create
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_create.py", line 16, in
from ..notices import notices
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/init.py", line 3, in
from .core import notices # noqa: F401
^^^^^^^^^^^^^^^^^^^^^^^^^
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/core.py", line 15, in
from . import cache, fetch, views
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/fetch.py", line 11, in
import requests
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/init.py", line 164, in
from .api import delete, get, head, options, patch, post, put, request
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/api.py", line 11, in
from . import sessions
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/sessions.py", line 15, in
from .adapters import HTTPAdapter
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/adapters.py", line 76, in
preloaded_ssl_context = create_urllib3_context()
^^^^^^^^^^^^^^^^^^^^^^^^
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/urllib3/util/ssl
.py", line 252, in create_urllib3_context
raise TypeError("Can't create an SSLContext object without an ssl module")
TypeError: Can't create an SSLContext object without an ssl module

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 165, in print_unexpected_error_report
get_main_info_str(error_report["conda_info"])
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_info.py", line 399, in get_main_info_str
return "\n".join(("", *(f"{key:>23} : {value}" for key, value in builder()), ""))
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_info.py", line 399, in
return "\n".join(("", *(f"{key:>23} : {value}" for key, value in builder()), ""))
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_info.py", line 359, in builder
if info_dict["active_prefix_name"]:
~~~~~~~~~^^^^^^^^^^^^^^^^^^^^^^
KeyError: 'active_prefix_name'

>>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

Traceback (most recent call last):
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 18, in __call__
    return func(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main.py", line 52, in main_subshell
    from .conda_argparse import do_call, generate_parser, generate_pre_parser
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/conda_argparse.py", line 51, in <module>
    from .main_create import configure_parser as configure_parser_create
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/cli/main_create.py", line 16, in <module>
    from ..notices import notices
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/__init__.py", line 3, in <module>
    from .core import notices  # noqa: F401
    ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/core.py", line 15, in <module>
    from . import cache, fetch, views
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/conda/notices/fetch.py", line 11, in <module>
    import requests
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/__init__.py", line 164, in <module>
    from .api import delete, get, head, options, patch, post, put, request
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/api.py", line 11, in <module>
    from . import sessions
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/sessions.py", line 15, in <module>
    from .adapters import HTTPAdapter
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/requests/adapters.py", line 76, in <module>
    _preloaded_ssl_context = create_urllib3_context()
                             ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/Users/bhagwanrekadwad/miniconda3/lib/python3.12/site-packages/urllib3/util/ssl_.py", line 252, in create_urllib3_context
    raise TypeError("Can't create an SSLContext object without an ssl module")
TypeError: Can't create an SSLContext object without an ssl module

$ /Users/bhagwanrekadwad/miniconda3/bin/conda install wget

environment variables:
conda info could not be constructed.
KeyError('active_prefix_name')

An unexpected error has occurred. Conda has prepared the above report.
If you suspect this error is being caused by a malfunctioning plugin,
consider using the --no-plugins option to turn off plugins.

Example: conda --no-plugins install

Alternatively, you can set the CONDA_NO_PLUGINS environment variable on
the command line to run the command without plugins enabled.

Example: CONDA_NO_PLUGINS=true conda install

If submitted, this report will be used by core maintainers to improve
future releases of conda.
Would you like conda to send this report to the core maintainers? [y/N]: y
ERROR conda.base.context:requests_version(1114): Error importing requests: Can't create an SSLContext object without an ssl module
Upload did not complete.

Thank you for helping to improve conda.
Opt-in to always sending reports (and not see this message again)
by running

$ conda config --set report_errors true

#ABOVE HAS NOT WORKED. THEN I TRIED NEXT. PLEASE SEE ANOTHER MESSAGE#

Initially, I felt it is a .dll error.

Then I installed Miniconda from the following sites:
https://docs.anaconda.com/miniconda/

& also installed miniconda3

Then I tried the installation of qiime2 versions as per tutorials:
Now, qiime2 2024.5 amplicon and metagenome packages are installed successfully.

2 Likes